import os
import random
import shutil

# 车位编号列表
left_side = list(range(119, 132))
right_side = list(range(99, 87, -1))
entry_left = [117, 115, 113]
entry_right = [108, 106, 104, 102, 101, 100]
p_row1 = [118, 116, 114, 112, 111, 110, None, 109, 107, 105, 103]
middle_bottom_row1 = [292, 290, 288, 286, 284, 282, 280, 278, 276, 274, 272]
middle_top_row2 = [293, 291, 289, 287, 285, 283, 281, 279, 277, 275, 273, 271]
middle_bottom_row2 = list(range(259, 271))
middle_top_row3 = [None] * 10 + [0] + [None]
middle_bottom_row3 = [258, 257, 256, None, None, None, None, None, None, 255, 254, None]

# 合并所有编号列表，去掉 None
all_spots = [
    left_side, right_side, entry_left, entry_right, p_row1,
    middle_bottom_row1, middle_top_row2, middle_bottom_row2,
    middle_top_row3, middle_bottom_row3
]

all_numbers = [number for row in all_spots for number in row if number is not None]

# 指定存放文件夹的根目录
root_directory = "D:/car2/parking_folders"
source_directory = "D:/car2/cs"  # 图片文件夹

# 遍历所有车位编号
for number in all_numbers:
    folder_name = str(number).zfill(3)  # 将编号转换为三位数
    folder_path = os.path.join(root_directory, folder_name)

    # 检查车位编号文件夹是否存在
    if os.path.exists(folder_path):
        # 获取所有图片文件
        image_files = [f for f in os.listdir(source_directory) if f.lower().endswith(('.png', '.jpg', '.jpeg'))]

        if image_files:
            # 随机选择一张图片
            selected_image = random.choice(image_files)
            image_path = os.path.join(source_directory, selected_image)

            # 目标路径是车位编号对应的文件夹
            destination_path = os.path.join(folder_path, selected_image)

            # 将图片复制到对应的文件夹中
            shutil.copy(image_path, destination_path)
            print(f"已将图片 {selected_image} 复制到 {folder_path} 文件夹。")

print("图片已成功随机分配到车位文件夹。")
